import java.net.*;
import java.io.*;

public class ClienteParaObjetoRemoto implements Transformacoes {
	public String toUpper(String s) {
		try {
			Socket con = new Socket("localhost", 6666);
			PrintWriter out = new PrintWriter(
				new OutputStreamWriter(
					con.getOutputStream()
				)
			);
			BufferedReader in = new BufferedReader(
				new InputStreamReader(
					con.getInputStream()
				)
			);
			String end = InetAddress.getLocalHost().getHostName();
			System.out.print("Enviando..."); //////////////
			out.println("Mensagem de "+end+": " + s);
			out.flush();
			System.out.println("Mensagem enviada. Aguardando resposta!"); //////
			String resposta = in.readLine();
			return resposta;
		} catch (IOException e) {
			e.printStackTrace();
			return null;
		}
	}
}
